---
# More info at https://github.com/pi-hole/docker-pi-hole/ and https://docs.pi-hole.net/

networks:
  dns_local_net:
    external: true

services:
  pihole1:
    build:
      dockerfile: Dockerfile
    container_name: pihole1
    image: docker-registry1.in.thelinuxpro.net:5000/tlp/pihole1:250224.0.3
    restart: unless-stopped
    environment:
      TZ: 'America/Indianapolis'
      WEBPASSWORD: 'forty6and2'
      FTLCONF_LOCAL_IPV4: '10.200.53.241'
      PIHOLE_DNS_: '8.8.8.8;8.8.4.4'
      DHCP_ACTIVE: 'false'
      VIRTUAL_HOST: 'dns1.in.thelinuxpro.net'
      TEMPERATUREUNIT: 'f'
      QUERY_LOGGING: 'true'
      WEBTHEME: 'default-dark'
    networks:
      dns_local_net:
        ipv4_address: 10.200.53.241

  pihole2:
    build:
      dockerfile: Dockerfile
    container_name: pihole2
    image: docker-registry1.in.thelinuxpro.net:5000/tlp/pihole2:250224.0.3
    restart: unless-stopped
    environment:
      TZ: 'America/Indianapolis'
      WEBPASSWORD: 'forty6and2'
      FTLCONF_LOCAL_IPV4: '10.200.53.242'
      PIHOLE_DNS_: '8.8.8.8;8.8.4.4'
      DHCP_ACTIVE: 'false'
      VIRTUAL_HOST: 'dns2.in.thelinuxpro.net'
      TEMPERATUREUNIT: 'f'
      QUERY_LOGGING: 'true'
      WEBTHEME: 'default-dark'
    networks:
      dns_local_net:
        ipv4_address: 10.200.53.242

  pihole3:
    build:
      dockerfile: Dockerfile
    container_name: pihole3
    image: docker-registry1.in.thelinuxpro.net:5000/tlp/pihole3:250224.0.3
    restart: unless-stopped
    environment:
      TZ: 'America/Indianapolis'
      WEBPASSWORD: 'forty6and2'
      FTLCONF_LOCAL_IPV4: '10.200.53.243'
      PIHOLE_DNS_: '8.8.8.8;8.8.4.4'
      DHCP_ACTIVE: 'false'
      VIRTUAL_HOST: 'dns3.in.thelinuxpro.net'
      TEMPERATUREUNIT: 'f'
      QUERY_LOGGING: 'true'
      WEBTHEME: 'default-dark'
    networks:
      dns_local_net:
        ipv4_address: 10.200.53.243

